| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::FrameOsd Class Reference

## Public Member Functions
void | insertMessageOsdToFrame (QImage &frame, const QSize &JPEGsize, const QString &mess)
| Insert message OSD on broken frame or end frame.
void | insertOsdToFrame (QImage &frame, const QUrl &url, const FrameOsdSettings &settings, const DInfoInterface *const info)
| Insert OSD on frame.
void | populateOSD (const QUrl &url, const FrameOsdSettings &settings, const DInfoInterface *const info)
| Populate OSD items properties base on Url.
void | printComments (const QString &comments)
| Print comments.
void | printTags (QStringList &tags)
| Print tags.

## Public Attributes
QString | m_desc = QLatin1String("")
Qt::Alignment | m_descAlign = Qt::AlignLeft
QColor | m_descBg = Qt::darkGray
QFont | m_descFnt = QFont(QLatin1String("Monospace"))
QPoint | m_descPos = QPoint(10, 10)